File incoming certificate
curl --request POST \
--url https://api.sortx.co.uk/certificate-intake/{id}/file \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"subjectId": "<string>",
"kind": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
subjectId: '<string>',
kind: '<string>',
issuedOn: '<string>',
expiresOn: '<string>',
reference: '<string>',
eicrOutcome: '<string>',
remedialsDueOn: '<string>',
epcRating: '<string>',
coAlarmChecked: true
})
};
fetch('https://api.sortx.co.uk/certificate-intake/{id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/certificate-intake/{id}/file"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"subjectId": "<string>",
"kind": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"source": "upload",
"batchId": "<string>",
"emailFrom": "<string>",
"emailSubject": "<string>",
"status": "to_file",
"revision": 123,
"receivedAt": "<string>",
"textState": "<string>",
"postcodeMatches": [
{
"id": "<string>",
"label": "<string>"
}
],
"suggestion": {
"id": "<string>",
"state": "<string>",
"note": "<string>",
"kind": {
"id": "<string>",
"label": "<string>",
"confidence": 123
},
"property": {
"id": "<string>",
"label": "<string>",
"confidence": 123
},
"values": [
{
"field": "<string>",
"value": "<string>",
"spanId": "<string>",
"quote": "<string>"
}
],
"missingFields": [
"<string>"
]
},
"readiness": "reading",
"filed": {
"subjectKind": "<string>",
"subjectId": "<string>",
"label": "<string>",
"kind": "<string>"
},
"decidedAt": "<string>",
"dismissReason": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}compliance
File incoming certificate
File an incoming certificate on the property or block a person chose, with the kind and dates they confirmed
POST
/
certificate-intake
/
{id}
/
file
File incoming certificate
curl --request POST \
--url https://api.sortx.co.uk/certificate-intake/{id}/file \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"subjectId": "<string>",
"kind": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
subjectId: '<string>',
kind: '<string>',
issuedOn: '<string>',
expiresOn: '<string>',
reference: '<string>',
eicrOutcome: '<string>',
remedialsDueOn: '<string>',
epcRating: '<string>',
coAlarmChecked: true
})
};
fetch('https://api.sortx.co.uk/certificate-intake/{id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/certificate-intake/{id}/file"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"subjectId": "<string>",
"kind": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"documentId": "<string>",
"name": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"source": "upload",
"batchId": "<string>",
"emailFrom": "<string>",
"emailSubject": "<string>",
"status": "to_file",
"revision": 123,
"receivedAt": "<string>",
"textState": "<string>",
"postcodeMatches": [
{
"id": "<string>",
"label": "<string>"
}
],
"suggestion": {
"id": "<string>",
"state": "<string>",
"note": "<string>",
"kind": {
"id": "<string>",
"label": "<string>",
"confidence": 123
},
"property": {
"id": "<string>",
"label": "<string>",
"confidence": 123
},
"values": [
{
"field": "<string>",
"value": "<string>",
"spanId": "<string>",
"quote": "<string>"
}
],
"missingFields": [
"<string>"
]
},
"readiness": "reading",
"filed": {
"subjectKind": "<string>",
"subjectId": "<string>",
"label": "<string>",
"kind": "<string>"
},
"decidedAt": "<string>",
"dismissReason": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Available options:
properties.property, properties.block Response
Success
Available options:
upload, email Available options:
to_file, filed, dismissed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
reading, ready, needs_look Show child attributes
Show child attributes